/***************************************************************************
 *            engine.h
 *
 *  Sat Feb 21 22:27:02 2004
 *  Copyright (C) 2004  Marcin Krzywonos
 *  e-mail: linman@op.pl
 ****************************************************************************/


#include "ie.h"


// Funkcje zwiazane z obsluga bazy danych i wpisow
int         wczytaj_baze                   ();
int         zapisz_baze                    ();
int         szukaj_wpis                    (typ_data data);
int         sprawdz_ostatni                ();
int         edytuj_wpis                    (typ_data data);
wpis_struct czysty_wpis                    ();
int         laduj_przedmioty               ();
int         szukaj_sprawdzianow            ();
void        wyswietl_najblizszy_sprawdzian ();
void        cofnij_modyfikacje             ();

// Funkcje zwiazane z obsluga wolnych dni
int         zapisz_wolne_dni               ();
int         wczytaj_wolne_dni              ();
int         wolne_dni_dodaj                (typ_data data);
int         wolne_dni_usun                 (typ_data data);
gboolean    wolne_dni_istnieje             (typ_data data);
gboolean    sprawdz_dzien_wolny            (typ_data data);

// Funkcje zwiazane z funkcja planu lekcji
int         pobierz_plan_lekcji            ();
int         wypelnij_plan_lekcji           ();
int         zapisz_plan_lekcji             ();
int         wczytaj_plan_lekcji            ();

// Dodatkowe funkcje
int         dzien_tygodnia                 (typ_data data);
